using System.ComponentModel;

namespace NorthwindBackend.NorthwindServiceReference
{
	public partial class Category : INotifyPropertyChanged
	{
		partial void OnCategoryIDChanged()
		{
			this.OnPropertyChanged("CategoryID");
		}

		partial void OnCategoryNameChanged()
		{
			this.OnPropertyChanged("CategoryName");
		}

		partial void OnDescriptionChanged()
		{
			this.OnPropertyChanged("Description");
		}

		partial void OnPictureChanged()
		{
			this.OnPropertyChanged("Picture");
		}

		#region INotifyPropertyChanged Members

		public event PropertyChangedEventHandler PropertyChanged;

		private void OnPropertyChanged(string propertyName)
		{
			if (this.PropertyChanged != null)
			{
				this.PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
			}
		}

		#endregion
	}
}